%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name beniget

Name: python%{python_suffix}-%{pypi_name}
Version: 0.4.1
Release: 2
License: BSD-3-Clause
Summary: Extract semantic information about static Python code
Url: https://github.com/serge-sans-paille/beniget/
BuildArch: noarch

Source0: https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

Requires: python%{python_suffix}-gast

%description
A static analyzer for Python2 and Python3 code. Beniget provides a static over-
approximation of the global and local definitions inside Python
Module/Class/Function. It can also compute def-use chains from each definition.

%prep

%setup -q -n %{pypi_name}-%{version}

%build
%py_build_wheel

%install
%py_install_wheel %{pypi_name}-%{version}-py3-none-any.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%license LICENSE

%{python_sitelib}/beniget*

%changelog
* Wed Dec 8 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.4.1
- Initial spec
